/** 
 * XMLSec library
 *
 * X509 support
 *
 * See Copyright for the status of this software.
 * 
 * Author: Aleksey Sanin <aleksey@aleksey.com>
 */
#ifndef __XMLSEC_X509_H__
#define __XMLSEC_X509_H__    

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */ 

#include <libxml/tree.h>

#include <openssl/x509.h>

#include <xmlsec/xmlsec.h>
#include <xmlsec/keys.h>


xmlSecKeyPtr	xmlSecX509DataNodeRead			(const xmlNodePtr x509DataNode,
							 xmlSecTransformId id,
							 xmlSecKeyType type,
							 const xmlSecKeysReadContext *ctx); 
int		xmlSecX509DataNodeWrite			(xmlNodePtr x509DataNode,
							 const xmlSecKeyPtr key);

#ifdef __cplusplus
}
#endif /* __cplusplus */

#endif /* __XMLSEC_X509_H__ */

